/*
 * IdealIRC Core - Internet Relay Chat API
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#include "../IRCBase.h"
#include "../IRCBasePriv.h"

void IRCBasePriv::cmdPart(const IRCMessage& ircmessage)
{
    const auto& sender = ircmessage.getSender();
    super.onMsgPart(sender, ircmessage[0], ircmessage.getMessage());
    delMemberFromChannel(sender, ircmessage[0]);
}
