/*
 * IdealIRC Core - Internet Relay Chat API
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#include "../IRCBase.h"
#include "../IRCBasePriv.h"

void IRCBasePriv::cmdTopic(const IRCMessage& ircmessage)
{
    auto channel = super.getChannel(ircmessage[0]);
    if (channel)
        channel->setTopic(ircmessage.getMessage());
    super.onMsgTopic(ircmessage.getSender(), ircmessage[0], ircmessage.getMessage());
}
