/*
 * IdealIRC Core - Internet Relay Chat API
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#include "../IRCBasePriv.h"

bool IRCBasePriv::isChannelSymbol(char c)
{
    const std::string& ct = isupport.at("CHANTYPES");
    return ct.find(c) != std::string::npos;
}
