/*
 * IdealIRC Core - Internet Relay Chat API
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#include "../IRCBasePriv.h"

char IRCBasePriv::memberPrivilegeSymbolToMode(char s) const
{
    auto pos = validPrivilegeSymbols.find(s);
    if (pos == std::string::npos)
        return '\0';
    else
        return validPrivilegeModes[pos];
}
