/*
 * IdealIRC - Internet Relay Chat client
 * Copyright (c) 2022  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#ifndef DCCQUERYDELEGATE_H
#define DCCQUERYDELEGATE_H

#include <QStyledItemDelegate>

class DCCQueryDelegate : public QStyledItemDelegate
{
    Q_OBJECT

public:
    explicit DCCQueryDelegate(QObject* parent = nullptr);

    QWidget* createEditor(QWidget* parent, const QStyleOptionViewItem& option, const QModelIndex& index) const override;
    void updateEditorGeometry(QWidget* editor, const QStyleOptionViewItem& option, const QModelIndex& index) const override;

signals:
    void accept(const QModelIndex& index) const;
    void reject(const QModelIndex& index) const;
};


#endif //DCCQUERYDELEGATE_H
