/*
 * IdealIRC Script Engine - Scripting tailored for IRC clients.
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#ifndef PARSERTOKENOPERATORS_H
#define PARSERTOKENOPERATORS_H

enum class ParserOperator
{
    Invalid,

    Assign,	// =
    Lt,		// <
    Gt,		// >
    Lte,	// <=
    Gte,	// >=
    Eq,		// ==
    Ne,		// !=

    Plus,	// +
    Minus,	// -
    Multi,	// *
    Div,	// /
    Mod,	// %

    LAnd,	// &&
    LOr		// ||
};

#endif // PARSERTOKENOPERATORS_H
