/*
 * IdealIRC - Internet Relay Chat client
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#ifndef ILISTWIDGET_H
#define ILISTWIDGET_H

#include <QListWidget>

class IListWidget : public QListWidget
{
public:
    IListWidget(QWidget* parent = nullptr);

private:
    void loadConfig();
};

#endif // ILISTWIDGET_H
