/*
 * IdealIRC - Internet Relay Chat client
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#ifndef ICOMMAND_COMMANDS_H
#define ICOMMAND_COMMANDS_H

namespace Command::Internal {
    constexpr auto* ACTION      = "ACTION";
    constexpr auto* CTCP        = "CTCP";
    constexpr auto* DCC         = "DCC";
    constexpr auto* CTCPREPLY   = "CTCPREPLY";
    constexpr auto* ME          = "ME";
    constexpr auto* ECHO        = "ECHO";
    constexpr auto* QUERY       = "QUERY";
    constexpr auto* MUTERESP    = "MUTERESP";
    constexpr auto* UNMUTERESP  = "UNMUTERESP";
    constexpr auto* CLEAR       = "CLEAR";
    constexpr auto* MSG         = "MSG";
    constexpr auto* QUOTE       = "QUOTE";
    constexpr auto* RAW         = "RAW";
    constexpr auto* SERVER      = "SERVER";
}

#endif // ICOMMAND_COMMANDS_H
