/*
 * IdealIRC - Internet Relay Chat client
 * Copyright (C) 2022  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#ifndef SERVEROPTIONSDELEGATE_H
#define SERVEROPTIONSDELEGATE_H

#include <QStyledItemDelegate>

class ServerOptionsDelegate : public QStyledItemDelegate
{
    Q_OBJECT

public:
    explicit ServerOptionsDelegate(QObject* parent = nullptr);

    QWidget* createEditor(QWidget* parent, const QStyleOptionViewItem& option, const QModelIndex& index) const override;
    void setEditorData(QWidget* editor, const QModelIndex& index) const override;
    void setModelData(QWidget* editor, QAbstractItemModel* model, const QModelIndex& index) const override;
    void updateEditorGeometry(QWidget* editor, const QStyleOptionViewItem& option, const QModelIndex& index) const override;
};

#endif // SERVEROPTIONSDELEGATE_H
