/*
 * IdealIRC Core - Internet Relay Chat API
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#include "../IRCBasePriv.h"

void IRCBasePriv::startKeepaliveTimer()
{
    keepaliveTimer.expires_after(keepaliveFreq);
    keepaliveTimer.async_wait([this](const asio::error_code& ec){ keepaliveTimeout(ec); });
}
