/*
 * IdealIRC Script Engine - Scripting tailored for IRC clients.
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#ifndef MAPUTILS_H
#define MAPUTILS_H

#include "Script/ValueHolder.h"
#include <vector>

class Script;

namespace Builtin::MapUtils {
ValueHolder map(Script&, std::vector<ValueHolder>& args);
ValueHolder maplen(Script&, std::vector<ValueHolder>& args);
ValueHolder mapremove(Script&, std::vector<ValueHolder>& args);
ValueHolder mapdump(Script&, std::vector<ValueHolder>& args);
ValueHolder mapkeys(Script&, std::vector<ValueHolder>& args);
}

#endif // MAPUTILS_H
