/*
 * IdealIRC - Internet Relay Chat client
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#ifndef SCRIPTIRCUTILS_H
#define SCRIPTIRCUTILS_H

#include "Script/ValueHolder.h"
#include <vector>

class Script;

namespace ScriptFunctions {
ValueHolder userhost(Script&, std::vector<ValueHolder>& args);
ValueHolder isupport(Script&, std::vector<ValueHolder>& args);
}

#endif // SCRIPTIRCUTILS_H
